import * as React from 'react';

interface LineConfig {
    content: string;
    isOutput?: boolean;
    isContinuation?: boolean;
    customPrompt?: string;
}
interface CommandLineConfig {
    user?: string;
    host?: string;
    path?: string;
    basePrompt?: string;
    continuationPrompt?: string;
    lines?: LineConfig[];
}
interface CodeBlockProps {
    code: string;
    language?: string;
    showLineNumbers?: boolean;
    showLineNumbersToggler?: boolean;
    showCopyButton?: boolean;
    showLanguageLabel?: boolean;
    overwriteLanguageLabel?: string;
    theme?: "light" | "dark";
    className?: string;
    isCommandLine?: boolean;
    commandLine?: CommandLineConfig;
}

declare const CodeBlock: React.FC<CodeBlockProps>;

export { CodeBlock, type CodeBlockProps, type CommandLineConfig, type LineConfig, CodeBlock as default };
